Subject: Issue with < draft-ietf-6man-icmp-limits-04>

From: Bob Hinden <[email-masked]>
Date: Mon, 2 Sep 2019 11:32:19 -0700

As part of doing a chair review of < draft-ietf-6man-icmp-limits-04>, we found what we think is a serious issue with the draft.

In Section 3 "ICMPv6 error for aggregate header limits”, the document says it is defining a new code point, but as written it looks to be changing the format of the Destination Unreachable message.  This may be an editing error, but we want to raise it as we don’t think it can go forward as is.

Specifically from the draft:

> 3  ICMPv6 error for aggregate header limits
> 
>   One code is defined for Destination Unreachable type for aggregate
>   header limits.
> 
> 3.1 Format
> 
>   The error for aggregate header limits employs a multi-part ICMPv6
>   message format as defined in [RFC4884]. The extended structure
>   contains a pointer to the first octet beyond the limit.
> 
>   The format of the ICMPv6 message for an aggregate header limit
>   exceeded is:
> 
>   0                   1                   2                   3
>   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |     Type      |     Code      |          Checksum             |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |     unused    |    Length     |           unused              |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |      Internet Header + leading octets of original datagram    |
>   |                                                               |
>   |                           //                                  |
>   |                                                               |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>   |                            Pointer                            |
>   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

This format does not match what is in RFC4443 (ICMPv6) nor RFC 4884 (Extended ICMP to Support Multi-Part Messages).

It looks like it copies the figure in RFC4884 Section 4.1. "ICMPv4 Destination Unreachable, not from Section 4.4. "ICMPv6 Destination Unreachable”.  That is, it uses the ICMPv4 format, not the ICMPv6 one.  The figure in RFC4884 Section 4.4 is:

          0                   1                   2                   3
       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |     Type      |     Code      |          Checksum             |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |    Length     |                  Unused                       |
      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
      |                    As much of invoking packet                 |
      +                as possible without the ICMPv6 packet          +
      |                exceeding the minimum IPv6 MTU [RFC4443]       |

Further, the addition of the “Pointer” at the end does not follow how RFC4884 defines extension structures in Section 7. "The ICMP Extension Structure”.

We can’t tell if these changes were done purposely, or are editing mistakes when the document was written.

We think this document is fine adding the new code points in Section 2 of the draft, but changing the format in Section 3 is not appropriate.  The document does not say it is updating RFC4884, so we suspect it was an editing mistake, but it needs to be fixed.

Thanks,
Bob & Ole

---

From: Tom Herbert <[email-masked]>
Date: Thu, 5 Sep 2019 09:58:38 -0700

Hi Bob,

Thanks for the review. I will fix the format to be conformant with
RFC4884 and post a new draft shortly.

Tom

On Mon, Sep 2, 2019 at 11:32 AM Bob Hinden <[email-masked]> wrote:
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Bob Hinden <[email-masked]>
Date: Thu, 5 Sep 2019 10:58:09 -0700

Tom,

Great looking forward to it.

I also have some editorial comments, I will send to you separately later today.

Bob

> On Sep 5, 2019, at 9:58 AM, Tom Herbert <[email-masked]> wrote:
> 
> Hi Bob,
>